package cosoletest;

import org.junit.Test;

import console.Console;
import junit.framework.TestCase;

public class TestConsole extends TestCase {

	Console console;

	protected void setUp() throws Exception {
		super.setUp();
		console = new Console();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}
	
	@Test
	public void testConsoleObject()	{
		boolean x = console.getCurrentStatus();
		assertTrue(x);
	}
	
	@Test
	public void testCommandArgs() throws Exception {
		
		console.setCommandArgs("mkdir hoge");
		String[] resultStrings = console.getCommandArgs();
		
		assertEquals("mkdir", resultStrings[0]);
		assertEquals("hoge", resultStrings[1]);
		
		
		
	}
	
	@Test
	public void testCommandExecute()
	{
		console.setCommandArgs("mkdir hoge");
		String[] resultStrings = console.getCommandArgs();
		boolean x = console.doCommand();
		assertFalse(x);
		
	}
	
	

}
